## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.model.validation
Class Messages

    java.lang.Object
      org.eclipse.osgi.util.NLS
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.model.validation.Messages

    public class Messages

extends org.eclipse.osgi.util.NLS

Field Summary
`static java.lang.String` `ASASQLDataOfflineValidator_invalid_default_value`
`static java.lang.String` `Constraint_Duplicate_Name_Error`
`static java.lang.String` `Database_Error`
`static java.lang.String` `DatatypeFactory_invalid_type`
`static java.lang.String` `DatatypeFactory_no_type_definition`
`static java.lang.String` `Duplicate_constraint_name_error`
`static java.lang.String` `Duplicate_Parameter_Name_Error`
`static java.lang.String` `Duplicate_Result_Name_Error`
`static java.lang.String` `Event_Duplicate_Name_Error`
`static java.lang.String` `EventCategoryCompositeProvider_condition`
`static java.lang.String` `EventCategoryCompositeProvider_event_type`
`static java.lang.String` `EventCategoryCompositeProvider_manual`
`static java.lang.String` `EventCategoryCompositeProvider_schedule`
`static java.lang.String` `EventPropertyCompositeProvider_disable_handler`
`static java.lang.String` `EventPropertyCompositeProvider_exec_location`
`static java.lang.String` `For_constraint`
`static java.lang.String` `For_index`
`static java.lang.String` `IndexValidator_message_duplicate_index`
`static java.lang.String` `IndexValidator_message_index_name_invalid`
`static java.lang.String` `IndexValidator_message_no_column_select`
`static java.lang.String` `IndexValidator_message_no_index_name`
`static java.lang.String` `IndexValidator_source_index_column`
`static java.lang.String` `IndexValidator_source_index_name`
`static java.lang.String` `Routine_Duplicate_Name_Error`
`static java.lang.String` `SybaseASABaseColumnValidator_for_column`
`static java.lang.String` `SybaseASABaseColumnValidator_no_column_data_type`
`static java.lang.String` `SybaseASABaseColumnValidator_no_column_name`
`static java.lang.String` `SybaseASABaseConstraintValidator_for_constraint`
`static java.lang.String` `SybaseASABaseEventValidator_for_event`
`static java.lang.String` `SybaseASABasePrimaryKeyValidator_pk_column_nullable`
`static java.lang.String` `SybaseASABaseTableValidator_Duplicate_column_name`
`static java.lang.String` `SybaseASABaseTableValidator_for_table`
`static java.lang.String` `SybaseASABaseTableValidator_No_column_defined`
`static java.lang.String` `SybaseASABaseTableValidator_No_table_name_present`
`static java.lang.String` `SybaseASABaseUniqueConstraintValidator_datatype_not_support_HG`
`static java.lang.String` `SybaseASABaseUniqueConstraintValidator_no_column`
`static java.lang.String` `SybaseASAResultValidator_invalid_datatype`
`static java.lang.String` `SybaseASAResultValidator_no_name`
`static java.lang.String` `SybaseASAResultValidator_no_type`
`static java.lang.String` `SybaseASATableValidator_invalid_pct_option`
`static java.lang.String` `SybaseParameterValidator_invalid_datatype`
`static java.lang.String` `SybaseParameterValidator_no_name`
`static java.lang.String` `SybaseParameterValidator_no_type`
`static java.lang.String` `SybaseParameterValidator_not_available_datatype`
`static java.lang.String` `SybaseParameterValueOfflineValidator_message_value_not_quoted`
`static java.lang.String` `SybaseParameterValueOfflineValidator_message_value_not_quoted_warning`
`static java.lang.String` `SybaseRoutineValidator_for_routine`
`static java.lang.String` `SybaseRoutineValidator_No_name_present`
`static java.lang.String` `SybaseTriggerValidator_for_trigger`
`static java.lang.String` `SybaseTriggerValidator_No_name_present`
`static java.lang.String` `Table_Duplicate_Name_Error`
`static java.lang.String` `Trigger_Duplicate_Name_Error`
`static java.lang.String` `Trigger_event_delete`
`static java.lang.String` `Trigger_event_insert`
`static java.lang.String` `Trigger_event_update`
`static java.lang.String` `Udt_Constraint_Definition_Error`
`static java.lang.String` `Udt_Constraint_Definition_Info`
`static java.lang.String` `Udt_Duplicate_Name_Error`
`static java.lang.String` `Udt_for_udt`
`static java.lang.String` `Udt_No_Name_Present`
`static java.lang.String` `Validator_duplicate_trigger_events`
`static java.lang.String` `Validator_No_name_present`
`static java.lang.String` `Validator_No_trigger_column`
`static java.lang.String` `Validator_No_trigger_events`
`static java.lang.String` `Validator_No_trigger_table`
`static java.lang.String` `WTriggerEventsCompositeProvider_delete`
`static java.lang.String` `WTriggerEventsCompositeProvider_event`
`static java.lang.String` `WTriggerEventsCompositeProvider_insert`
`static java.lang.String` `WTriggerEventsCompositeProvider_time_after`
`static java.lang.String` `WTriggerEventsCompositeProvider_time_before`
`static java.lang.String` `WTriggerEventsCompositeProvider_time_resolve`
`static java.lang.String` `WTriggerEventsCompositeProvider_trigger_time`
`static java.lang.String` `WTriggerEventsCompositeProvider_update`
`static java.lang.String` `WTriggerEventsCompositeProvider_update_column`
`static java.lang.String` `WTriggerPropsCompositeProvider_level`
`static java.lang.String` `WTriggerPropsCompositeProvider_new_reference`
`static java.lang.String` `WTriggerPropsCompositeProvider_old_reference`
`static java.lang.String` `WTriggerPropsCompositeProvider_order`
`static java.lang.String` `WTriggerPropsCompositeProvider_referencing_section`
`static java.lang.String` `WTriggerPropsCompositeProvider_remote_reference`
`static java.lang.String` `WTriggerPropsCompositeProvider_row_level`
`static java.lang.String` `WTriggerPropsCompositeProvider_stmt_level`

Method Summary

Methods inherited from class org.eclipse.osgi.util.NLS
`bind, bind, bind, initializeMessages`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SybaseASABaseColumnValidator_for_column

    public static java.lang.String SybaseASABaseColumnValidator_for_column

### SybaseASABaseColumnValidator_no_column_data_type

    public static java.lang.String SybaseASABaseColumnValidator_no_column_data_type

### SybaseASABaseColumnValidator_no_column_name

    public static java.lang.String SybaseASABaseColumnValidator_no_column_name

### SybaseASABasePrimaryKeyValidator_pk_column_nullable

    public static java.lang.String SybaseASABasePrimaryKeyValidator_pk_column_nullable

### SybaseASABaseUniqueConstraintValidator_datatype_not_support_HG

    public static java.lang.String SybaseASABaseUniqueConstraintValidator_datatype_not_support_HG

### SybaseASABaseUniqueConstraintValidator_no_column

    public static java.lang.String SybaseASABaseUniqueConstraintValidator_no_column

### SybaseASABaseTableValidator_for_table

    public static java.lang.String SybaseASABaseTableValidator_for_table

### SybaseASABaseTableValidator_Duplicate_column_name

    public static java.lang.String SybaseASABaseTableValidator_Duplicate_column_name

### SybaseASABaseTableValidator_No_column_defined

    public static java.lang.String SybaseASABaseTableValidator_No_column_defined

### SybaseASABaseTableValidator_No_table_name_present

    public static java.lang.String SybaseASABaseTableValidator_No_table_name_present

### SybaseASATableValidator_invalid_pct_option

    public static java.lang.String SybaseASATableValidator_invalid_pct_option

### SybaseASABaseEventValidator_for_event

    public static java.lang.String SybaseASABaseEventValidator_for_event

### SybaseASABaseConstraintValidator_for_constraint

    public static java.lang.String SybaseASABaseConstraintValidator_for_constraint

### Constraint_Duplicate_Name_Error

    public static java.lang.String Constraint_Duplicate_Name_Error

### Event_Duplicate_Name_Error

    public static java.lang.String Event_Duplicate_Name_Error

### Udt_No_Name_Present

    public static java.lang.String Udt_No_Name_Present

### Udt_for_udt

    public static java.lang.String Udt_for_udt

### Udt_Duplicate_Name_Error

    public static java.lang.String Udt_Duplicate_Name_Error

### Udt_Constraint_Definition_Error

    public static java.lang.String Udt_Constraint_Definition_Error

### Udt_Constraint_Definition_Info

    public static java.lang.String Udt_Constraint_Definition_Info

### Table_Duplicate_Name_Error

    public static java.lang.String Table_Duplicate_Name_Error

### Database_Error

    public static java.lang.String Database_Error

### SybaseRoutineValidator_No_name_present

    public static java.lang.String SybaseRoutineValidator_No_name_present

### SybaseRoutineValidator_for_routine

    public static java.lang.String SybaseRoutineValidator_for_routine

### SybaseTriggerValidator_No_name_present

    public static java.lang.String SybaseTriggerValidator_No_name_present

### SybaseTriggerValidator_for_trigger

    public static java.lang.String SybaseTriggerValidator_for_trigger

### Routine_Duplicate_Name_Error

    public static java.lang.String Routine_Duplicate_Name_Error

### Trigger_Duplicate_Name_Error

    public static java.lang.String Trigger_Duplicate_Name_Error

### Validator_No_name_present

    public static java.lang.String Validator_No_name_present

### Validator_No_trigger_events

    public static java.lang.String Validator_No_trigger_events

### Validator_No_trigger_table

    public static java.lang.String Validator_No_trigger_table

### Validator_duplicate_trigger_events

    public static java.lang.String Validator_duplicate_trigger_events

### Trigger_event_insert

    public static java.lang.String Trigger_event_insert

### Trigger_event_update

    public static java.lang.String Trigger_event_update

### Trigger_event_delete

    public static java.lang.String Trigger_event_delete

### Duplicate_Parameter_Name_Error

    public static java.lang.String Duplicate_Parameter_Name_Error

### Validator_No_trigger_column

    public static java.lang.String Validator_No_trigger_column

### SybaseASAResultValidator_no_name

    public static java.lang.String SybaseASAResultValidator_no_name

### SybaseASAResultValidator_no_type

    public static java.lang.String SybaseASAResultValidator_no_type

### SybaseASAResultValidator_invalid_datatype

    public static java.lang.String SybaseASAResultValidator_invalid_datatype

### Duplicate_Result_Name_Error

    public static java.lang.String Duplicate_Result_Name_Error

### IndexValidator_source_index_name

    public static java.lang.String IndexValidator_source_index_name

### IndexValidator_message_no_index_name

    public static java.lang.String IndexValidator_message_no_index_name

### IndexValidator_message_duplicate_index

    public static java.lang.String IndexValidator_message_duplicate_index

### IndexValidator_source_index_column

    public static java.lang.String IndexValidator_source_index_column

### IndexValidator_message_no_column_select

    public static java.lang.String IndexValidator_message_no_column_select

### IndexValidator_message_index_name_invalid

    public static java.lang.String IndexValidator_message_index_name_invalid

### SybaseParameterValidator_no_name

    public static java.lang.String SybaseParameterValidator_no_name

### SybaseParameterValidator_no_type

    public static java.lang.String SybaseParameterValidator_no_type

### SybaseParameterValidator_invalid_datatype

    public static java.lang.String SybaseParameterValidator_invalid_datatype

### SybaseParameterValidator_not_available_datatype

    public static java.lang.String SybaseParameterValidator_not_available_datatype

### SybaseParameterValueOfflineValidator_message_value_not_quoted

    public static java.lang.String SybaseParameterValueOfflineValidator_message_value_not_quoted

### SybaseParameterValueOfflineValidator_message_value_not_quoted_warning

    public static java.lang.String SybaseParameterValueOfflineValidator_message_value_not_quoted_warning

### For_constraint

    public static java.lang.String For_constraint

### Duplicate_constraint_name_error

    public static java.lang.String Duplicate_constraint_name_error

### For_index

    public static java.lang.String For_index

### ASASQLDataOfflineValidator_invalid_default_value

    public static java.lang.String ASASQLDataOfflineValidator_invalid_default_value

### DatatypeFactory_invalid_type

    public static java.lang.String DatatypeFactory_invalid_type

### DatatypeFactory_no_type_definition

    public static java.lang.String DatatypeFactory_no_type_definition

### EventCategoryCompositeProvider_condition

    public static java.lang.String EventCategoryCompositeProvider_condition

### EventCategoryCompositeProvider_event_type

    public static java.lang.String EventCategoryCompositeProvider_event_type

### EventCategoryCompositeProvider_manual

    public static java.lang.String EventCategoryCompositeProvider_manual

### EventCategoryCompositeProvider_schedule

    public static java.lang.String EventCategoryCompositeProvider_schedule

### EventPropertyCompositeProvider_disable_handler

    public static java.lang.String EventPropertyCompositeProvider_disable_handler

### EventPropertyCompositeProvider_exec_location

    public static java.lang.String EventPropertyCompositeProvider_exec_location

### WTriggerEventsCompositeProvider_delete

    public static java.lang.String WTriggerEventsCompositeProvider_delete

### WTriggerEventsCompositeProvider_event

    public static java.lang.String WTriggerEventsCompositeProvider_event

### WTriggerEventsCompositeProvider_insert

    public static java.lang.String WTriggerEventsCompositeProvider_insert

### WTriggerEventsCompositeProvider_time_after

    public static java.lang.String WTriggerEventsCompositeProvider_time_after

### WTriggerEventsCompositeProvider_time_before

    public static java.lang.String WTriggerEventsCompositeProvider_time_before

### WTriggerEventsCompositeProvider_time_resolve

    public static java.lang.String WTriggerEventsCompositeProvider_time_resolve

### WTriggerEventsCompositeProvider_trigger_time

    public static java.lang.String WTriggerEventsCompositeProvider_trigger_time

### WTriggerEventsCompositeProvider_update

    public static java.lang.String WTriggerEventsCompositeProvider_update

### WTriggerEventsCompositeProvider_update_column

    public static java.lang.String WTriggerEventsCompositeProvider_update_column

### WTriggerPropsCompositeProvider_level

    public static java.lang.String WTriggerPropsCompositeProvider_level

### WTriggerPropsCompositeProvider_new_reference

    public static java.lang.String WTriggerPropsCompositeProvider_new_reference

### WTriggerPropsCompositeProvider_old_reference

    public static java.lang.String WTriggerPropsCompositeProvider_old_reference

### WTriggerPropsCompositeProvider_order

    public static java.lang.String WTriggerPropsCompositeProvider_order

### WTriggerPropsCompositeProvider_referencing_section

    public static java.lang.String WTriggerPropsCompositeProvider_referencing_section

### WTriggerPropsCompositeProvider_remote_reference

    public static java.lang.String WTriggerPropsCompositeProvider_remote_reference

### WTriggerPropsCompositeProvider_row_level

    public static java.lang.String WTriggerPropsCompositeProvider_row_level

### WTriggerPropsCompositeProvider_stmt_level

    public static java.lang.String WTriggerPropsCompositeProvider_stmt_level